License Agreement and Copyright

The Win99 software program and this help file are Copyright © 2000-2006 Don Starr. All rights reserved.

IMPORTANT - READ CAREFULLY

This license and disclaimer statement constitutes a legal agreement ("License Agreement") between you (either as an individual or a single entity) and Don Starr (the "Author"), for this software product (the "Software"), including any software, media, and accompanying on-line or printed documentation.

BY DOWNLOADING, INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE, YOU AGREE TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS OF THIS LICENSE AND DISCLAIMER AGREEMENT.

You may not modify, reverse engineer, decompile, or disassemble the object code portions of this Software.

This Software is owned by Don Starr and is protected by copyright law and international copyright treaty.

You may not copy the Software or distribute the Software to any party other than those defined at the top of this license agreement.

This Software is provided "as is" and without any warranties expressed or implied, including, but not limited to, implied warranties of fitness for a particlar purpose.

In no event shall the author be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use this Software or documentation, even if the author has been advised of the possibility of such damages.

Copyright © 2000-2006 Don Starr. All rights reserved.


Quick Start Guide

This section is intended to help you start using some of the basic features of Win99. It is assumed that you already have:

· downloaded Win99 and unpacked its files into a single folder (called the “installation folder” here),

· connected your PRO-99 to your PC’s serial (COM) port using a cable that supports the PRO-99, and

· turned the PRO-99 ON.

If you haven’t yet completed the above steps, see the following sections, as appropriate:

System requirements

Downloading and installing Win99

Connecting the PRO-99 to the PC

The remainder of this page will guide you through:

· Downloading the scanner’s data into Win99

· Saving the downloaded data as a P99 file (the file format used by Win99)

· Modifying the data (i.e. adding some channel information)

· Saving the data as a new P99 file

· Uploading the new data to the PRO-99

Download from the scanner

1. From Win99’s Scanner menu, select the Download from Scanner item. (Alternatively, you can just press CTRL+D on the PC’s keyboard).

2. The download process will begin. Both the scanner and Win99 will display progress bars, roughly indicating the amount of data transferred.

3. When the transfer is complete, Win99 will display the downloaded data as a new “file” item. This new file will be named “(from scanner)”.

Save the downloaded data

1. From Win99’s File menu, select Save.

2. You’ll be presented with the “Save As” dialog box (since you’ve never saved this data before). The first time you run Win99, this dialog will start in either My Documents or the folder where you installed Win99. Subsequently, it will “remember” where you last saved or loaded a file and will start in that location.

3. Navigate to the location where you want to save the file. It is suggested that you use either a subfolder of My Documents (e.g. “My Radio Files”) or the folder where Win99 is installed.

4. In the File Name box, type a new name for the file. The file extension must be P99 (that is, the file must end with “.p99”).

5. Click the Save button. The file will be saved, and the “(from scanner)” name will change to the filename you entered.

Modifying the data

As an example of modifying the file’s data, we’ll enter a couple of channels of frequency data:

1. Select the “Channels” page.

2. Choose an unused bank by clicking on the up/down arrows next to the Bank field at the upper-left of the Channels page.

3. Enter two channels’ worth of frequency and car data (we’ll make up a couple):

a. Click on a channel’s Alpha Tag cell (in the graphic above, we’ve clicked on channel 00’s tag).

b. If you single-click on a cell, you can begin typing a new value immediately. The first character typed will erase the existing data. If you double-click on a cell, then you’ll enter the edit mode, where you can move the blinking cursor through the existing data to change it.

c. Type the new Alpha Tag. In this example, just type DriverA

NOTE: When entering Alpha Tags, you are limited to 16 characters of text. The data entry fields always contain exactly 16 characters, even if some of those characters are trailing spaces. If it appears that you are not able to enter 16 characters, press the DELETE key to remove trailing spaces.

d. Press the TAB key. The cell highlight (the white border around the active cell) will move to channel 00’s Frequency cell.

e. Type a new frequency – 154.51500.

f. Press the TAB key to move to the Car column. Enter a “car number”, such as 132.

g. Press the TAB key 5 times. The cell highlight will move through the rest of channel 00’s cells and will end up on channel 01’s Alpha Tag.

h. Repeat steps (c) through (f) for channel 01, setting the Alpha Tag to DriverB, the frequency to 154.54750, and the Car to 221.

Your display should now look like this:

You’ve now entered a simple pair of car/frequency/driver channels. The entries we’ve used as an example here probably won’t actually do anything at your local race track - they’re just listed here to give an idea of how the data entry process works.

Save as a new file

To save the altered data as a new P99 file (so that you don’t overwrite the data that you previously downloaded and saved), select Save As… from Win99’s File menu. You’ll again be presented with the “Save As” dialog box. Follow the steps above under “Save the downloaded data”, but typing a different file name. The “file button” below Win99’s menus will change to show the new file name.

Upload to the scanner

1. From Win99’s Scanner menu, select Upload from Scanner. (Alternatively, you can just press CTRL+U on the PC’s keyboard).

2. The upload process will begin. Both the scanner and Win99 will display progress bars, roughly indicating the amount of data transferred.

On the PRO-99, you should now be able to look at the data in the bank you selected above and see your changes. Depending on the type of cable used, you may have to unplug the cable from the scanner’s PC/IF port before you’re able to control the scanner from its keypad.


Welcome to Win99

Please select a help topic from the Navigation pane to the left. You can select topics by:

  • browsing through the topic heirarchy under the "Contents" tab,
  • looking for an entry by keyword in the Index,
  • searching for any words in the "Search" tab, or
  • selecting a previously-saved location on the "Favorites" tab.

IMPORTANT

This help file assumes that you have a PRO-99 connected to a COM port on your Windows PC, via a supported cable. For information on cables, see the System Requirements text. For help connecting your scanner and verifying that the connection is OK, see the Connecting the Scanner page.


Features

Win99 is an application that allows you to manage the data in your PRO-99 Race Scanner. Among the main features are:

  • Full control over all scanner settings
  • Keep a database of files that you can quickly upload to your PRO-99, for different race configurations
  • Upload new Preloaded Car data

PLEASE NOTE: This help text does not attempt to teach you how to "program" the PRO-99. Instead, this help text will show you how to use Win99 to change the scanner's data that you would otherwise enter via the scanner's keypad.

  • For information about the PRO-99, consult the user's manual that came with the scanner.
  • To see what you need to run Win99, read the requirements section.
  • To get up and running with Win99, read the Quick Start Guide
  • To get the latest version of Win99, visit the Win99 home page.


System Requirements

In order to use Win99, you must have the following:

  • A copy of the Win99 program
  • A PRO-99 Race Scanner
  • A programming cable. There are several cables that will work with the PRO-99. See this web page for detailed information.
  • A Windows (95, 98, NT4, 2000, XP) PC
  • An available serial ("COM") port. If you don't have a serial port, then you will have to use a USB-to-serial adapter. There is some information on those devices on the above "cable" web page.


Registration Information

Win99 is not "freeware". You may evaluate it, free of charge, for a 30-day trial period. If you wish to keep using Win99 after that trial period has expired, you must register it.

Before you register Win99, please take the time to make sure that it performs to your satisfaction. This is what the “trial period” is for. Ensure that you can download from and upload to the scanner using your cable of choice and any adapters (e.g. USB-Serial) that you may require for your particular configuration.

Registration instructions and pricing can be found on the Win99 web site here.


Installing Win99

Getting Win99

The most recent release of Win99 can always be found at the Win99 web site. When you download Win99, you’ll be saving a compressed file (Win99.ZIP) onto your local hard drive. You must have a decompression utility (e.g. WinZip) to open this file. (Windows XP users: Windows XP contains its own “unzipper” - no external utility is required).

Installing Win99

Win99 does not include an “installer” like many Windows programs.

After downloading the ZIP file, you need to extract the files it contains to a single location (folder) on your hard drive. Typically, this would be a new folder that you create. For example: “C:\Program Files\Win99”.

The ZIP archive contains these files:

· Win99.exe The Win99 program. This is the file you “run”.

· Win99Help.chm This help file.

· WinXXCommon.dll A library shared by all of the WinXX programs, so that their “look and feel” stays constant.

NOTE: On Windows 98 and Millennium machines, it may be necessary to reboot before you can run Win99. If it’s necessary, the program will inform you the first time you try to start it.

You may wish to create a shortcut to Win99 on your desktop (or in another location) so that you can conveniently launch the program. Here are the steps required to create such a shortcut on the desktop (these instructions are for Windows XP, but other versions of Windows are similar):

· Right-click on the desktop and, from the pop-up menu that appears, select New à Shortcut.

· The “Create Shortcut” wizard appears

· Click the Browse… button

· In the Folders tree that’s presented, navigate to the folder where Win99 is installed.

· Click on Win99.exe

· Click the OK button

· Click the Wizard’s Next button

· Type a name for the shortcut (e.g. Win99)

· Click the Finish button


Connecting the Scanner

1. If you already have an available serial (COM) port, skip to step 2. Otherwise, connect a USB-to-serial adapter:

a. Plug your USB adapter into an available USB port. Follow the instructions supplied with the adapter to install any required drivers, etc.

b. If you don’t know what COMx value was assigned to the port, use Device Manager (in Control Panel) to view “Ports”. Make a note of the COMx value used by the adapter.

2. Plug the DB-9 Female end of the programming cable into an available serial (COM) port. For information about supported cables, follow this link.

3. Plug the cable’s 1/8” mono plug into the PC/IF port on the right-hand side of the PRO-99.

4. If the scanner is powered ON, the display may or may not indicate “Clone Mode”. This is highly dependent on the cable you use. For example, the original GRE (grey) cable doesn’t seem to cause this display, while the “Purple” cable does. If the display doesn’t change to “Clone Mode”, don’t worry (yet) – we’ll verify that the cable works in the next few steps.

Verify that you’ve connected the scanner properly, using Win99:

1. Turn the scanner ON.

2. Launch Win99.

3. Under Win99’s Configuration menu, select Serial Port….

4. Make sure the selected COM port number matches the COM port to which you attached the scanner.

5. Click the OK button to close the Serial Port Configuration window.

6. From the Scanner menu, select Download from Scanner (or press CTRL+D).

7. Win99 will attempt to start a download operation, retrieving the scanner’s current settings. The scanner’s display should indicate that it’s in Clone Mode, and that it is sending data.

If the scanner does not begin sending data, or if Win99 displays an error message (e.g. Unable to open the COM port, timeout waiting for header, expected to read back data, etc.), you should attempt the following one at a time:

1. Double-check to ensure that you have the correct COM port selected.

2. Make sure the programming cable is firmly seated in the scanner’s jack and in the PC’s 9-pin connector.

3. Make sure that no other software is using the serial port. The usual suspects include PDA “sync” software, such as Palm’s HotSync. You must either close such software, or temporarily disable it (so that it’s no longer using the port).

4. Under Win99’s Configuration menu, select Serial Port…, and try each of the following:

a. If you’re using a USB adapter, try checking the Extra Write Time option.

b. If you’re using a home-built cable, try checking the Set RTS Line High option. If you’re using a GRE or Purple cable, make sure this item is not checked.

c. If you’re using a one-way cable, make sure the Enable “Readback” Tests item is not checked. (Note: a one-way cable cannot be used to download from the scanner; you can only upload to the scanner with this type of cable).

5. If no combination of the above helps, you should try another computer. There have been rare instances of serial port hardware that cannot drive the electronics in the interface cable.


Win99 Menus

Some Win99 functions can be selected via the program’s on-screen menus. These menus are:

File

Edit

Search

Scanner

Configuration

Help


File Menu

From the File menu, you can select the following:

New template Creates a new file with default settings. Also available by pressing CTRL+N.

Open… Displays the “Open” dialog box, from which you can select an existing P99 file that you want to bring into Win99 so that you can edit it and/or upload it to the scanner. Also available by pressing CTRL+O.

Save Saves the current file to disk. If you have never saved this file (i.e. it was created as a “new template” or is data that was downloaded from the scanner), then this option will act as if you had selected Save As…. Also available by pressing CTRL+S.

Save As… Displays the “Save As” dialog box, from which you can specify the location and file name with which to save the current data.

Export… Allows you to save the file in formats other than Win99’s native P99 binary format. See the File Import and Export page for more details.

Import… Allows you to load a non-P99 file from disk. See the File Import and Export page for more details.

Close Closes the P99 file that you’re currently editing. If this is the only file open, a “new template” will be created in its place. Also available by pressing CTRL+F4.

Exit Win99 Closes the Win99 program. Also available by pressing ALT+F4, or by clicking the “Close” button at the extreme right end of the Win99 title bar (the button looks like an X).


Edit Menu

From the Edit menu, you can select the following:

Cut This item lets you “cut” the selected Channels or Lockouts to the clipboard, so that they can be pasted to another location in Win99 (i.e. another bank or file), or to an external program. The items will always be copied to the clipboard, but you’ll be prompted as to whether you want to delete them (and how you want to delete them – by just erasing or by moving following entries “up” in the list). Also available by pressing CTRL+X. For more information about copy/paste formats, see this page.

Copy This item lets you “copy” the selected Channels or Lockouts to the clipboard, so that they can be pasted to another location in Win99 (i.e. another bank or file), or to an external program. Also available by pressing CTRL+C. For more information about copy/paste formats, see this page.

Paste This item lets you “paste” previously-copied items from the clipboard to either the Channels or Lockouts lists. This is useful for moving data within a bank, among different files, or from an external program into Win99. Also available by pressing CTRL+V. For more information about copy/paste formats, see this page.

Insert Item This item lets you insert a new, blank item before the top-most selected item in the Channels or Preloads lists. This function is also available by pressing ALT+INSERT.

Delete Item(s) This item lets you delete the selected Channel or Lockout item(s). This function is also available by pressing ALT+DELETE.

Move Item(s) Up This item lets you move the selected channel(s) “up” by one position. This function is also available by pressing CTRL+UpArrow.

Move Item(s) Down This item lets you move the selected channel(s) “down” by one position. This function is also available by pressing CTRL+DownArrow.

Bank Editor… This item starts the Bank Editor function, and is also available by pressing ALT+B.

Copy Bank… This item starts the Copy Bank function, in which you can copy the current bank from the current P99 file to any destination bank in any other open P99 file. (This function is disabled if you have only one file open or are not on the “Channels” page). After selecting this menu item, you will be presented with a window prompting you for the target P99 file and bank. This is where the currently viewed bank data will be copied. This function is also available by pressing CTRL+ALT+B.

Sort X by Y These three items allow you to sort the channels list by alpha tag, frequency, or car. Only the currently-displayed data will be sorted: either the 50 channels in the current bank, or the 100 channels in the currently-selected Preloads block. Some notes on the sorting:

· When sorting by alpha tag, any channel with a blank alpha tag will be placed later than channels with non-blank tags, unless you answer NO to the “Ignore Leading Spaces” prompt.

· When sorting by frequency, any channel with a frequency of 0.00000 will be placed later than channels with non-zero frequencies.

· When sorting by car, any channel with a blank car number will be placed later than channels with non-blank car numbers.

The above conventions are intended to place unused channels at the ends of the lists.

Justify Alpha Tags… This item will justify alpha tags within each bank. When selected, it will bring up a dialog box from which you can select the type of justification (left, center, or right) and whether the operation is to take place in only the current bank or in all banks. Note: Alpha tags will not be centered on entry – you must select this item to center the various tags.

Fill Frequencies… This item starts the Fill Frequencies function. It will display a window in which you enter:

· The starting channel number. Defaults to the channel that’s currently selected, or channel 00 if nothing is selected.

· The starting frequency. Defaults to the currently-selected channel’s frequency, or the frequency of channel 00 if nothing is selected.

· The step size. Defaults to 5 kHz.

· How far to fill. You can either enter a number of channels or an ending frequency. You must also select the “end mode” via the selections to the right of the channel count and end frequency fields. Defaults to “fill by channel count” and 1 channel.

· The Delay and Lockout settings for each filled channel.

· Whether you want to insert before the starting channel or overwrite it and those that follow.


Search Menu

From the Search menu, you can select the following:

Find Alpha Tag…

Starts the “search for alpha tag” operation, which looks for a specified alpha tag across all channels in all banks (it does not check the “Virtual Scanner” folders). Also available by pressing CTRL+F.

Find Frequency…

Starts the “search for frequency” operation, which looks for a specified frequency across all channels in all banks (it does not check the “Virtual Scanner” folders). Also available by pressing CTRL+SHIFT+F.

Find Talk Group ID…

Starts the “search for talk group ID” operation, which looks for a specified talk group ID across all IDs, in all sub-banks, and in all banks (it does not check the “Virtual Scanner” folders). Also available by pressing CTRL+ALT+F.

Find Next

Repeats the last “Find” operation, starting after the last found item. Also available by pressing CTRL+G. This item is only available if you’ve already performed a Find operation, and the operation has not yet returned “No more matches found” message to you.

Find Duplicate Frequencies

Searches the current P99 file, through all channels in all banks, looking for frequencies that are entered in more than one place. If there are duplicate entries, a message will be displayed that shows them. For example:

Channel 012 (25.00000MHz) is duplicated at: 026, 313, 847

The duplicate search only looks at frequencies; it does not care if the duplicates are “locked out” or use different receive modes.


Scanner Menu

From the Scanner menu, you can select the following:

Download from Scanner This item starts a download operation, retrieving the scanner’s current settings into Win99. Also available by pressing CTRL+D.

Upload to Scanner This item starts an upload operation, sending the active Win99 file to the scanner. Also available by pressing CTRL+U.

Show Upload History This item displays the history of uploads to the scanner. Each entry is described with the upload time, line 4 of the Welcome Display, and the name of the P99 file uploaded. The data resides in the file Win99ProgrammingLog.txt, and can be read with any text editor. The data is updated when either a normal upload completes successfully. NOTE: If you edit the log file (Win99ProgrammingLog.txt), the history window may not be able to accurately show the upload history. The program expects the file to be in a specific format, and in reverse chronological order (most recent uploads at the top).


Configuration Menu

From the Configuration menu, you can select the following:

Misc… This item displays the “miscellaneous preferences” dialog box. That box allows you to control the following options:

o        Tell Win99 to allow you to enter more than 16 characters in the various alpha tag fields. This has no effect on the fact that exactly 16 characters will be saved in the file and sent to the radio. It’s merely here so that you can type new text into a tag field that is already “full”. When the file is saved or the data sent to the radio, all alpha tags will be truncated (or padded with spaces) so that they are 16 characters long. Note: The “grids” will be adjusted to 16 characters as soon as the current alpha tag’s entry is complete. The other tags (priority channel, welcome display, etc.) will be adjusted when their respective edit boxes “lose focus” – this happens when you click on another data entry field, press TAB, go to another page, etc..

The 16-character requirement is a function of the radio. Its memory map has, for each alpha tag, 16 bytes of space. When the radio decides that it will display a tag, it reads exactly 16 bytes from its memory and displays them on the LCD.

o        Associate P99 files with the currently-running version of Win99. If you click this button, your Windows registry will be updated so that future double-clicks on P99 files (e.g. from Windows Explorer) will launch Win99 and open the file. This feature is added as an explicit button press because a) there’s no “installation” program for Win99 that would normally associate files and b) if you move Win99 to new folder, clicking this button will update the registry to point to the new Win99 location.

Serial Port… This item displays the serial configuration dialog box. This is where you set the COM port to be used by Win99, as well as any “special” serial settings that might be required for your configuration. These special settings are:

a. Extra Write Time. This is needed for some USB-to-Serial adapters (e.g. the iogear GUC232A).

b. Set RTS Line HIGH. Some home-built cables need this item enabled.

c. Enable “Readback” tests. When checked, this causes Win99 to expect that every character written to the scanner will also be read back from the serial port (this is due to the nature of the scanner’s PC/IF interface). If you are using a one-way cable, make sure that this item is not checked.

More information on the use of these options is available on the connecting the scanner page.

User Interface… This item displays the user interface configuration dialog box. In that box, you can select the height of the rows in the various data entry grids, tell Win99 to use a fixed-pitch (i.e. Courier) font in the Alpha Tag fields, and specify the size (pitch) of the data entry grid fonts (the size is specified in tenths of a point, so 100 represents 10-point text). If you enable the fixed-pitch font option, you can also check a box that will tell Win99 to use a custom PRO-99 font for alpha tags. You must explicitly install this font from the Win99 ZIP file (Win99 doesn’t do it for you) – see your operating system documentation for information on how to install new fonts. This is typically found in a “Fonts” folder in the Control Panel. (NOTE: The custom font option is currently not available, and is anticipated for a future release).


Help Menu

From the Help menu, you can select the following:

Using the program… This item displays this help text. It is also available by pressing the F1 key.

About the program… This item displays the program’s “About Box”, containing version and copyright information and a button that displays the license agreement.


The Data Entry Pages

Win99’s main window is divided into several sections for the various types of data you can enter. These pages (or “tabs”) are organized into functional sections. For example, the “Channels” page is where you enter frequencies, talk group IDs, etc. for the scanner’s 10 banks. (The “Settings” page is kind of a “catch-all” miscellaneous page for settings that are global to the scanner and/or don’t belong on any other page).

Click one of the following links for information about a specific data entry page:

Settings

Channels

SR0 Marine / SR1 CB

SR2 FRS/GMRS/MURS

SR3 Police/Fire

SR4 Aircraft

SR5 Ham

SR6 Limit Search


Selecting Grid Items

The “data grids” in Win99, used for the Channel and Lockout lists, are intended to be similar to common spreadsheet programs in their use.

Here are some common operations within the grids:

· Selecting contiguous items: To select a range of items in a grid (e.g. channels 02 through 15 on the Channels page), click on the first item to be selected. Next, press and hold down the SHIFT key and click on the last item to be selected. The full range of items should now be highlighted, ready for some operation that takes a range of items (e.g. Copy a range of channels to the clipboard).

· Selecting non-contiguous items: To select multiple items that are not contiguous (e.g. channels 02, 07, and 15 on the Channels page), click on one of the items to be selected. Next, press and hold down the CTRL (control) key and click on the other items, one-by-one. The individual items should now be highlighted.

· Navigating within the grid: The grid cell item that has the “focus” (i.e. the item that will be altered if you start typing text) is indicated by a thin border within its cell:

In the example above, channel 02 is selected and the Frequency column has the cell highlight. If you were to start typing text, the frequency would be changed.

You can move around within the grid in several ways. You can use the mouse to click on a target “cell”, you can use the PC’s “arrow keys” to move up, down, left, and right, or you can use the TAB and SHIFT+TAB key combinations to move through all cells in sequence. When entering a large amount of data for the first time (e.g. channel tags, frequencies, etc.), you might find it most convenient to use the TAB key: click on the first Alpha Tag to be entered, type the tag’s text, press TAB, type the channel’s frequency, press TAB, etc. The TAB key will cause the cell highlight to move left-to-right, top-to-bottom through the entire data entry grid.

· Editing an item: There are many ways to start the editing process within a single grid cell item. The easiest is probably to just navigate to the item to be edited and begin typing. Another way is to double-click on a cell, which puts the grid cell into its “data entry” mode:

In this example, we’ve double-clicked on channel 02’s Frequency cell, placing the cell into data entry mode. This is indicated by the [ ] at either side of the cell, as well as the blinking cursor. In this mode, you may move the cursor left or right with the PC’s arrow keys, and edit individual characters.

For grid items that contain a check box, you can toggle the check box’s value by either clicking on the box with the mouse, or by pressing the space bar while the cell is highlighted. If you click on the column heading for such a column (e.g. the “Delay” column on the Channel’s page), then all items in the grid for that column will be changed – the first item in the list is toggled, then the remaining items are set to the same value as the first item.


The Settings Page

The Settings page allows you to set many global features of the scanner. The PRO-99’s Weather functionality is also controlled on this page.

To view the Settings page, click the “Settings” tab:

The following describes the various features of the Settings page, divided into functional sections.

Priority Channel

This section controls the various aspects of the PRO-96’s Priority Channel function:

· Priority Channel ON: When this box is checked, the scanner will periodically tune to the priority channel frequency and check for activity.

The next six fields are similar to entering data for a channel in a bank:

· Alpha Tag: Here you may enter an Alpha Tag that will be displayed when the priority channel is active.

· Frequency: This field is where you enter the frequency to be used as the priority channel. Any value here will be overridden by a “Weather Channel” selection below, if any.

· CTCSS: You may enter a specific CTCSS tone frequency here. If you enter a non-zero value in this field, the scanner will not stop on the priority channel unless the received transmission matches entered your CTCSS value. If you enter a zero value, the scanner will stop on all received transmissions and will display the received value (same as CTCSS-Search mode for a regular channel).

· CT Squelch ON: When checked, this causes the scanner to only break squelch on transmissions that use a CTCSS tone.

· Delay: If checked, the scanner will remain on the priority channel frequency for a short period after a received transmission.

· Use Weather Channel: If checked, the scanner will use one of the seven Weather channels as the priority channel. Checking this box and entering a Weather channel number in the next field overrides the Frequency value that you may have entered above.

· Weather Channel: If the above box is checked, the scanner will use the Weather channel you enter here as the priority channel.

Tune Mode

This section lets you control how the scanner manually tunes a frequency (see “Manually Tuning a Frequency” in the PRO-96 manual).

· Delay: If checked, the scanner will remain on a tuned frequency for a short period after received transmission. Otherwise, the scanner will begin searching again when the transmission ends.

· Scan Down: If checked, the scanner will search in order of decreasing frequency. Otherwise, the scanner searches in order of increasing frequency.

· Car Number Mode: Allows you to choose between Car Number Display Mode and Channel Number Display Mode.

· Enabled Scan Banks: Each of the scanner’s 10 banks may be individually enabled and disabled here. Any banks that are checked will be scanned when you hit the scanner’s “SCAN” button. Banks that are not checked will be skipped.

· Backlight On: You can enter the duration of the backlight; that is, how long the backlight stays on after it is initially lit. The value you enter here is in “centiseconds” (i.e. 1/100th of a second). For example, a value of 500 will cause the backlight to stay on for 5.00 seconds.

· Display Contrast: You may enter a value for the scanner’s LCD contrast here. Allowable values are from –4 (lightest) to 4 (darkest). The scanner’s default is 0 (zero).

· Battery Level: You can change the scanner’s default voltage levels for its “battery low” warning. The “LO” value sets the point at which the scanner starts displaying the warning (default: 3.82VDC). The “HI” value sets the point at which the scanner dismisses an existing warning (default: 4.02VDC). (The “HI” value is used for hysteresis, as the battery level will rise and fall with scanner activity).

· Welcome Display: You can change the 4 lines of text displayed by the scanner when it first powers on. Each line may be up to 16 characters in length.

· Scan Down: This controls the direction in which the scanner moves through channels when scanning. If checked, the radio scans in order of decreasing channel number; otherwise, the radio scans in order of increasing channel number.

· Keypad Tone ON: When checked, the scanner will “beep” on every key press; otherwise, the scanner is silent.

· Delay: You can individually turn on or off each weather channel’s delay setting.

· On-Air Programming Frequency: You can change the frequency used to receive at-the-track programming information. The default value is 154.60000 MHz.


The Channels Page

The Channels page is where most of the “useful” scanner information is entered. Here you control the 10 banks’ channels: their frequencies, alpha tags, associated car numbers, etc..

To view the Channels page, click the “Channels” tab:

All of the information on this page is per bank. The bank number to be edited or displayed is selected by clicking the up/down arrows next to the “Bank” item at the top left of the page.

Channels List:

This list is where you enter all of the frequencies for the area you want to scan. See this page for more information about selecting and editing cells in one of these grids.

· Alpha Tag: Here you enter the channel’s 16-character alpha tag, such as a driver name, team name, or any other text you want to associate with this channel. This text will be displayed on the 3rd line of the scanner’s LCD when a transmission is received on this channel’s frequency.

· Frequency: Enter the channel’s frequency, in megahertz. Each “range” of frequencies in the PRO-99 has a valid step size (see the Limit Search page for information on ranges/steps). If you enter a frequency that is not on a valid step, or is otherwise “out of range”, Win99 will automatically adjust the value to the nearest valid frequency.

· Car: If desired, enter a car number that will be associated with this channel. You can enter the same car number for multiple channels.

· CTCSS Tone: You can enter a CTCSS tone frequency for the channel. If you enter such a code, the scanner will only stop on transmissions that match the value entered, if the “CTCSS Squelch” box is checked for this channel. If you leave the code at the default of 0.0 or 000, the scanner will stop on all transmissions but will display the CTCSS tone frequency as received.

If you enter an invalid CTCSS tone frequency.

· CTCSS Squelch: When checked, the scanner will only break squelch on this channel’s frequency if a CTCSS tone is received.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel before continuing the scanning process.

· LOut: When checked, this channel is “Locked out”, and will not be scanned.

Up / Down Arrow Buttons: Clicking these buttons will move any selected channels up or down by one position.


The Car Search Page

The Car page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the various Car bands (the PRO-99’s “SR0” search range).

To view the Car page, click the “SR0 Car” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Car page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Car search range is divided into four distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Car page.

In the center of the Car page, you can turn each group on or off (so that it is searched or not) by checking or clearing the appropriate box for each group.

You can set the Delay, Zeromatic, and Scan Direction for the entire Car search range by checking or clearing the appropriate check boxes.


The Marine Search Page

The Marine page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the Marine channels (the PRO-99’s “SR1” search range).

To view the Marine page, click the “SR1 Marine” tab:

Win99 allows you to control the same settings for both ranges. Some settings are global to each range, while others are channel-specific:

· Search On: When this box is checked, the scanner will begin searching through the range as soon as the range is selected. If this box is left cleared, the scanner will not search, remaining on a single channel within the range (as if it were in a “manual” mode).

· Scan Down: When this box is checked, the scanner searches through the range’s channels in descending order (high channel numbers to low channel numbers, wrapping from channel 01 back to the highest channel). If this box is left cleared, the scanner searches in ascending order.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel while searching.

· Lockout: If a channel’s LOut box is checked, the scanner will not stop on that channel while searching.


The FRS/GMRS/MURS Search Page

The FRS/GMRS/MURS page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the FRS, GMRS, and MURS channels (the PRO-96’s “SR2” search range).

To view the FRS/GMRS/MURS page, click the “SR2 FRS/GMRS/MURS” tab:

Some of the range’s settings are global to all channels, while others are channel-specific:

· Search On: When this box is checked, the scanner will begin searching through the range as soon as the range is selected. If this box is left cleared, the scanner will not search, remaining on a single channel within the range (as if it were in a “manual” mode).

· Scan Down: When this box is checked, the scanner searches through the range’s channels in descending order (high channel numbers to low channel numbers, wrapping from channel 01 back to channel 27). If this box is left cleared, the scanner searches in ascending order.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel while searching.

· Lockout: If a channel’s LOut box is checked, the scanner will not stop on that channel while searching.


The Police/Fire Search Page

The Police/Fire page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the various Police and Fire bands (the PRO-99’s “SR3” search range).

To view the Police/Fire page, click the “SR3 Police/Fire” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Police/Fire page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Police/Fire search range is divided into four distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Police/Fire page.

In the center of the Police/Fire page, you can turn each group on or off (so that it is searched or not) by checking or clearing the appropriate box for each group.

You can set the Delay, Zeromatic, and Scan Direction for the entire Police/Fire search range by checking or clearing the appropriate check boxes.


The Aircraft Search Page

The Aircraft page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the 108.0000 – 136.9875 MHz Aircraft band (the PRO-99’s “SR4” search range).

To view the Aircraft page, click the “SR4 Aircraft” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Aircraft page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

You can set the Delay and Scan Direction for the entire Aircraft search range by checking or clearing the appropriate check boxes.


The Ham Search Page

The Ham page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the various Amateur Radio bands (the PRO-99’s “SR5” search range).

To view the Ham page, click the “SR5 Ham” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Ham page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Ham search range is divided into four distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Ham page.

In the center of the Ham page, you can turn each group on or off (so that it is searched or not) by checking or clearing the appropriate box for each group.

You can set the Delay, Zeromatic, and Scan Direction for the entire Ham search range by checking or clearing the appropriate check boxes.


The Limit Search Page

The Limit Search page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the entire frequency range of the PRO-96, or any subset of that range that you specify (the PRO-96’s “SR6” search range).

To view the Limit Search page, click the “SR6 Limit Search” tab:

Specify the low and high frequencies for your search by entering them in the “Low Frequency” and “High Frequency” boxes provided. If you enter a frequency that is not on a valid step (see the list at the right-side of the page), it will be adjusted to the nearest valid frequency.

If desired, you can change the SR6 Alpha Tag. This is the text that’s displayed when you’re searching through SR6 on the scanner.

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Limit Search page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the scanner’s frequency range, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

You can set the Delay, Zeromatic, and Scan Direction for the entire Limit Search range by checking or clearing the appropriate check boxes.


The Preloads Page

The Preloads page allows you to upload new data to the PRO-99’s “Preloaded Car Channels” area. This area contains five “blocks” of data, each with up to 100 channels, that are pre-configured from the factory with some common racing circuit information.

Note: The data on the Preloads page is separate from the data on the rest of the “tabs”. That is, it is not part of a normal P99 file. The Preloads page has its own file open and close controls, as well as its own “upload to scanner” buttons.

You can use the scanner’s Preloaded data as intended, or you may think of it as 5 sets of 2 banks each that can be loaded into the scanner’s main memory with a few simple key presses.

The Preload data in the scanner may only be written – it cannot be read from the scanner to your PC.

To view the Preloads page, click the “Preloads” tab:

The page contains a grid much like the one on the “Channels” page, where you can edit each channel’s Alpha Tag, Frequency, etc. See the Channels Page for more details on editing in this grid.

The following describes the remaining controls on the Preloads page:

O pen File: Opens an existing file for editing. Also available by pressing ALT+O. Supported file types are:

· PL99 Win99’s native “Preloads” file format

· P99 Win99’s format for “normal” files. Note that when reading a P99 file into the Preloads page, banks 0 and 1 of the P99 file will be read into channels 0-99 of the “NASCAR” block, banks 2 and 3 into the “Busch” block, etc..

· CSV Win99’s normal CSV file format. For more details on this format, see the File Import and Export page. Note that when reading a Win99 CSV file into the Preloads page, banks 0 and 1 of the P99 file will be read into channels 0-99 of the “NASCAR” block, banks 2 and 3 into the “Busch” block, etc..

Save File: Saves the current data as a PL99 file. Also available by pressing ALT+S. Note that you will always be prompted for a destination file name – Win99 doesn’t “remember” the name of any file that you’ve loaded.

Clear Data: Clears all 500 channels of preload data to an “empty” state. That is, blank Alpha Tag, zero Frequency and CTCSS tone, no car number, etc.

Start Bank: Lets you choose the starting bank used by the PRO-99 when you select the “Pre-Load CAR” menu option from the scanner’s keypad. The scanner will transfer up to 100 channels of data from the selected “block” (e.g. NASCAR) to the working memory starting at channel 00 of the “starting bank”. Since a single block of preload data can occupy 2 banks worth of working memory channels, the allowable values for this field are 0 through 8. The PRO-99’s factory default is 8 – so that it copies preload data into banks 8 and 9.

NASCAR, Truck, etc.: By clicking one of the 5 “radio buttons”, you select among the 5 “blocks” of preload data, each of which has 100 channels available. The names of these blocks in Win99 are the same as those in the PRO-99.

Up / Down: Clicking these buttons will move any selected channels up or down by one position.

Unlock Scanner: This button sends a command to the scanner telling it to “unlock” its preload data area. Normally, that memory area is locked – similar to a write protect on a floppy disk. Until it’s “unlocked”, you cannot upload new preload data to the radio. If you try to upload data while the PRO-99 is locked, the scanner will display “Preload Invalid”.

After executing this command, the scanner will display “Preload Unlocked”. Unless you are using the “grey” GRE cable, you will have to disconnect the cable from the scanner, let the scanner reset, then reconnect the cable before performing any further upload or download operations.

Upload to Scanner: This button starts uploading your entered preload data to the PRO-99. Before uploading, you must execute the “Unlock Scanner” command above. If you try to upload data while the PRO-99 is locked, the scanner will display “Preload Invalid”.

Note that some of the text above says that each block of preload data can hold “up to” 100 channels. This is because each block of data is variable in size. If you have “empty” (i.e. frequency values of zero) channels in your data when you select the Upload command, you will be asked if you want to send all 100 channels for each block (including the blanks), or just the channels that have “real” data in them. This is a matter of personal preference.

After executing this command, the scanner will return to “Clone Mode” (unless you’re using the “grey” GRE cable). You should immediately execute the “Lock Scanner” command below to protect your uploaded data.

Lock Scanner: This button sends a command to the scanner telling it to “lock” its preload data area, preventing subsequent uploads until the “Unlock” command is sent.

After executing this command, the scanner will display “Preload Locked”. Unless you are using the “grey” GRE cable, you will have to disconnect the cable from the scanner, let the scanner reset, then reconnect the cable before performing any further unlock, upload, or download operations.


Copy and Paste

Win99 will allow you to copy and paste channel data, as well as lockout frequencies in Search Ranges 3 through 6, for easier transfers between banks, P99 files, or even external data sources (text editors, spreadsheets, web sites, etc.).

Win99 uses the Windows “clipboard” to move data. The clipboard can be considered a temporary buffer within Windows that is used for copy/paste operations. Since Win99 uses the clipboard, it is compatible with many other Windows applications (subject to some data format restrictions discussed below).

Copy/Paste within Win99

To copy channel information from one location to another (i.e. between banks or P99 files), follow these steps:

1. On the Channels page, use the bank select to view the bank that contains the data you want to copy from.

2. Select the channels that you want to copy.

3. From the Edit menu, select Copy (or press CTRL+C).

4. Use the bank select to view the bank you want copy the data to.

5. Click on the first channel that will receive the data. This channel, and any that follow it up to the number of items you selected in step (2), will be overwritten with the copied data.

6. From the Edit menu, select Paste (or press CTRL+V).

7. The channels that you selected in step (2) will appear in the current bank.

Copy/Paste External Data

You can copy data from external sources into Win99, or copy Win99’s data to some other program.

Copying data to an external program

1. Select and copy the data as in steps 1-3 above, as if you were doing a copy/paste operation within Win99. The data is now on the clipboard in two formats: the raw format native to Win99, and a text format that can be used by other applications.

2. If it’s not already running, start the program into which you want to paste the data (e.g. Notepad, Excel, or some other text editor or spreadsheet software).

3. In that external program, move the cursor to the point at which you want to paste / insert the copied data.

4. Follow the other program’s instructions for pasting data (usually, you will select Paste from the program’s Edit menu or press CTRL+V).

5. The data should now appear in the other program.

Pasting data from an external program

1. In the external program, select the range of data that you want to copy into Win99.

2. Follow the other program’s instructions for copying data to the clipboard (usually, you will select Copy from the program’s Edit menu or press CTRL+C). The data should now be on the clipboard in a text format (see below for the required data formats for channel and talk group information).

3. If it’s not already running, start Win99.

4. Follow steps 4-7 under Copy/Paste within Win99 above to paste the data into Win99.

Text Format for External Copy and Paste Operations

Win99 requires that data copied from external programs be in a specific format, so that Win99 can “understand” what the data represents.

Win99 expects the data to be in a row/column arrangement. Rows are separated by “newline” characters (either a carriage return by itself or a carriage return / line feed pair). This newline representation is consistent with plain text editors and certain spreadsheets (e.g. Excel). Columns are separated by “TAB” characters. You can generate this character in a text editor (like Notepad) by pressing the TAB key. When you use Excel’s Copy function to put a range of cells on the clipboard, Excel separates columns with the TAB character.

Perhaps the easiest way to describe this format is to show how Win99 generates the text format to send to external apps:

Text Format for Channel Data

This is how two rows (channels) of frequency data would look if copied to the clipboard within Win99:

Kenny Wallace     460.16250  23   0.0 T D L

Jeff Gordon       467.06250  24   0.0   D

At the end of each “row” is a Carriage Return / Line Feed pair (not visible here).

Between the “columns” are single TAB characters (they’re space characters in this help text, so that the columns will line up).

The columns, left-to-right, are:

Alpha Tag Up to 16 characters of alphanumeric text. The first row’s tag contains 13 characters of visible text.

Frequency A valid PRO-99 frequency. The decimal point is required. After the decimal point, there must be either 3, 4, 5, or 6 digits.

Car A valid car number, with no blanks. If you want to paste channels that have no car number, you must use a “header row”, as discussed below.

CTCSS Tone A valid CTCSS tone frequency. The CT tone frequency must have a decimal point and exactly one digit after the decimal.

CTCSS Sq ‘T’ if CTCSS Squelch is on for this channel, a blank space if not.

Delay ‘D’ if delay is on for this channel, a blank space if not.

Lockout ‘L’ if this channel is locked out, a blank space if not.

Note: while Win99 does put the CTCSS Sq, Delay, and Lockout flags into the text data that it copies to the clipboard, it does not use this information when you paste text data into Win99. External data need not have these columns.

For a column to be considered “valid”, all rows must have good data in that column. For example, if the second row above had “XY” instead of “24”, then Win99 would ignore the entire car number column (if the Alpha Tag column didn’t exist, then this erroneous car number column would be considered the Alpha Tag column, since “23” and “XY” are valid alpha tags).

Text Format for Search Range Lockouts

The format for lockout frequencies is identical to that for Channel Data, where only the “Frequency” column is used. Only that column need be present. Any other columns of data that happen to exist will be ignored.

Header Row

For each of the text Paste operations described above, you can supply a “Header Row” that Win99 will use to interpret the data that follows. This will alleviate some of the restrictions on the format of the data (particularly frequencies).

For example, if the data you copy to the clipboard looks like:

#

Alpha Tag

Frequency

Car

CTCSS

00

Jack Sprague

466.50000

0

0.0

01

Steve Park

464.92500

1

0.0

02

Rusty Wallace

451.82500

2

0.0

03

Mike Skinner

464.30000

4

0.0

04

Terry Labonte

468.21250

5

0.0

05

Mark Martin

460.95000

6

0.0

then Win99 will correctly interpret the data. This is an improvement over the auto-detect mechanism, as that method requires that each cell have valid data for the data type. One “bad cell” can mess up an entire column and, possibly, the entire paste operation. With a header row, “bad cells” will simply be ignored (or adjusted to “valid” data).

Note: The “#” column is ignored. Paste operations always start at the first selected Win99 row and continue sequentially.

The text in the header row must match the text in the column headers for the grid. In the example above, the text exactly matches the column headers for the “Channels” grid.

Similar header rows can be used when pasting Search Range Lockout data.


File Import and Export

You can import and export two types of files with Win99: CSV (comma-delimited text) and XML (Extended Markup Language). Note: XML import/export is not yet complete – Win99 will export a valid XML file, but currently has no provisions for importing such a file.

CSV Export

1. From the File menu, select Export…. You’ll be presented with a “Save As” dialog box in which you can:

· navigate to the folder to which you want to save the CSV file,

· select the type of file to export (select “CSV Files” here), and

· enter the name of the output file (enter a name in the form Filename.CSV).

After completing the above, click the Save button.

2. Win99 will display a box in which you can select the banks and data types to save. You can:

· check individual boxes,

· click a “Bank n” button to save all data for that bank,

· click the “Select All” or “Select None” boxes to check/uncheck all of the grid boxes.

After selecting which data you want to save, click the OK button.

CSV Import

When you import a CSV file, Win99 uses that file’s data to replace data in the current P99 file. This is useful if you’re “building” a P99 file from several external CSV files. If you don’t want to overwrite the current P99 file’s data, first select New template from the File menu.

1. From the File menu, select Import…. You’ll be presented with an “Open” dialog box in which you can:

· navigate to the folder that contains the CSV file you want to import,

· select the type of file to import (select “CSV Files” here), and

· enter the name of the input file (enter a name in the form Filename.CSV, or just select a CSV file from the file/folder list).

The file’s “extension” must be .CSV.

After completing the above, click the Open button.

2. Win99 will parse the data in the selected CSV file, and will replace the current P99’s data with that found in the CSV. Only those banks and channels that are actually in the CSV file will be overwritten – all other existing data in the P99 file will remain intact.

CSV File Format

This section describes the data format that Win99 creates on export and requires on import. Failure to adhere to these requirements will result in the “ignoring” of your external data (at best) or the corruption of your P99 file’s data (at worst).

The CSV file contains only one type of record: Channel Data. When exporting, Win99 will always order the records first by bank, then by channel number.

Channel Data

This record has the form:

BankNumber,ChannelNumber,AlphaTag,Frequency,Car Number,CTCSS Tone,CTCSS Squelch

where:

BankNumber is a number 0-9 indicating the bank this record is for.

ChannelNumber is a number 0-49 indicating which channel this record is for.

AlphaTag is a text string to use as the alpha tag for this channel. Strings longer than 16 characters will be truncated. If the tag contains commas or leading or trailing spaces, then the string must be enclosed in double quotes ("). If the string actually contains a double quote character, then the entire string must be enclosed in double quotes, and the embedded double quote must be preceded by a second double quote. For example, the alpha tag My " Tag must appear as "My "" Tag".

Frequency is a valid PRO-99 frequency for this channel. Invalid data (out-of-range, off-step) will be adjusted to the nearest valid frequency.

Car Number is an integer string containing the Car number for the channel. It can be any number from 0 to 999, including 00, 000, 01, 023, etc.. If no car number is to be associated with the channel, this field can be blank.

CTCSS Tone is a valid CTCSS tone frequency.

CTCSS Squelch is a is either 0 (zero) or 1 (one). Zero means that the CTCSS function for the channel is OFF, one means that it is ON.

The BankNumber, ChannelNumber, AlphaTag, and Frequency fields are required. The Car Number, CTCSS Tone and CTCSS Squelch fields are optional. However, if you use any optional field, you must also have all preceding fields. So this record is valid:

0,2,MyTag,42.28000

but this one is not:

0,2,MyTag,42.28000,131.8,1

because it is missing the Car Number field. In order to make the record valid, you must insert a “blank” Car Number field:

0,2,MyTag,42.28000,,131.8,1


Bank Editor

Win99’s Bank Editor function allows you to rearrange the 10 banks in the PRO-99, without any cumbersome and/or error-prone copy and paste operations. To start the Bank Editor, go to the Edit menu and select Bank Editor (or press ALT+B). The Bank Editor window will be displayed:

The four columns in the grid display:

· The “new” bank number for the row’s data

· The “old” bank number for the row’s data

· The bank’s Alpha Tag

· The bank’s Trunking Mode

(Note that the Bank Name and Mode are meaningless in Win99, because the PRO-99 doesn’t support these features. These columns are present in Win99 only because it shares some common code with other Win9x applications. A future release may remove these items.)

In this window, you can move banks around, copy one bank’s data to another bank, or clear the contents of an entire bank. These operations must be performed in this order: Move, then Copy, then Clear. Once you’ve “copied” any bank to another bank, you cannot then “move” any banks. Likewise, once you’ve “cleared” the contents of a bank, you can’t then “move” or “copy” any banks. The move and copy buttons will be disabled as appropriate.

To Move the contents of a bank from its current location to a new bank, click anywhere in the bank’s row in the grid, then click the up and/or down arrow buttons. The selected bank will “bubble” up or down depending on the direction chosen. For example, if you click on bank 02, then click the Up arrow button, you’ll see the banks 01 and 02 swapped as bank 02 is moved up in the list..

To Copy the contents of a bank to another bank, click anywhere in the source bank’s row in the grid, then click the Copy… button. A new window will be presented asking you to select the target bank, as well as what data you want to copy (Channels, Talk Groups, Bank Tag, and Trunking Settings – the default is to copy all channels). Click one of the 10 “radio buttons” (the one-of-10 selection) to choose the destination bank, check or uncheck the data option boxes, then click the OK button (or the Cancel button to abort this bank copy operation). The Up and Down arrow buttons will be disabled (“grayed-out”) if they were not already.

(Again, some of the options in the “Copy” window are meaningless in Win99. They should be ignored. A future release may remove these meaningless items.)

To Clear the contents of a bank, click anywhere in the bank’s row in the grid, the click the Clear button. The text in that row will be changed to red to indicate that it will be cleared (you may have to move the row highlight off of the cleared row to see the change in color). Additionally, the Up and Down arrow buttons and the Copy… button will be disabled (“grayed-out”) if they were not already.

When you are finished rearranging/copying/clearing banks, click the Bank Editor window’s OK button (or the Cancel button to discard all of your changes). You’ll be returned to the main Win99 window, and the Channels page will be updated to reflect your edits.


Troubleshooting

This section is intentionally left blank. In future versions of the help file, this page will be populated with answers to support questions that appear on various mailing lists, direct emails to the author, etcetera. The same content will be available at the Win99 web site.


Revision History

Version 1.11 2006.01.05

· Fixed a bug that would cause a crash if you right-click in an empty area of a grid (i.e. not on a cell).

Version 1.10 2005.08.18

· Changed the CSV file read/write routines, so that car numbers are interpreted as strings instead of numbers (to allow for leading zeroes, e.g. ‘00’).

Version 1.09 2004.08.27

· Fixed the SR0 (Car) lockouts page so that locked out frequencies are sorted when the file is saved or uploaded to the scanner.

· Added right-click functionality to the data-entry grids.

· Fixed a bug in the CSV import code that kept the “import into current bank” function from working.

Version 1.08 2004.08.01

· Added a new CSV format, one that will be shared among all of the WinXX applications. Win99 now writes only this format, but will continue to read the “old” format. This new format will be documented in a separate text file, to be released on the Win99 web site.

Version 1.07 2004.05.07

· Fixed window sizing problem on Channels and Preloads pages

Version 1.06 2004.05.07

· Rearranged controls on the “Preloads” page

· Finished “Preloads” page help text

Version 1.05 2004.05.06

· Beta release 2

· “Preloads” page completed

· Fixed battery levels

· Changed “New Template” settings to reflect PRO-99’s initialization defaults

Version 1.04 2004.05.06

· Beta release 1